Subject: MSVC .rc files/EGCS(1.1)-Mingw32 bug?
From: [email-masked] (Paul Garceau)

22 Oct 1998 13:34:49 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

I'm using Windres to convert a .rc file into something EGCS-Mingw32(1.1) can 
understand (I hope).  I continue to get errors from "windres" with these lines:

(MSVC .rc script -- line 60)
IDR_MAINFRAME ACCELERATORS MOVEABLE PURE
BEGIN
    "/",            ID_APP_ABOUT,           ASCII,  ALT, NOINVERT
    "?",            ID_APP_ABOUT,           ASCII,  ALT, NOINVERT
END

MSVC resource header file:
	#define IDR_MAINFRAME                   2
	#define ID_APP_ABOUT			4

Error from "windres" (included with Mingw32):
	"inappropriate modifiers for non-VIRTKEY".

From Windows32\defines.h under /* ACCEL structure */:
	#define FALT			(16)
	#define FNOINVERT	(2)
	...ASCII undefined.
	#define FVIRTKEY		(1)

	Is this a bug?  Is it simply a need to define something called FASCII 
somewhere?  Or, is it both?

	Thanks ahead of time for your consideration and time.

	Peace,

		Paul G.

Information Systems Consultant
NewDawn Productions
http://www.teleport.com/~pgarceau/newdawn/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".